# Get Offer History - DEPRECATED

{% hint style="danger" %}
**This endpoint is deprecated and will no longer be updated. Please use the "Get History" endpoint with the \`offer\_ids\` filter instead.**
{% endhint %}

**Method:** GET\
**Base URL:** [**https://api.adgatemedia.com/v1/user-based-api/offer-history**](https://api.adgatemedia.com/v1/user-based-api/offer-history)

### Required Query Parameters

| Parameter  | Description                                                                                                      | Type        | Example                            |
| ---------- | ---------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------- |
| aff\_id    | Your affiliate ID. Can be found on the [Offers API page](http://panel.adgatemedia.com/affiliate/api/keys).       | Any Integer | `60000`                            |
| api\_key   | Your API key. Can be found on the [Offers API page](http://panel.adgatemedia.com/affiliate/api/keys).            | Any String  | `941bd1fecf7e6596823b895e04df3a0c` |
| wall\_code | Wall code that can be found on the [AdGate Rewards page](https://panel.adgatemedia.com/affiliate/vc-walls/index) | String      | `nQug`                             |
| user\_id   | The affiliate's user ID. Max length 255 bytes                                                                    | String      | `user12345`                        |
| offer\_id  | The ID of the offer                                                                                              | Integer     | `12345`                            |

### Optional Query Parameters

<table><thead><tr><th>Parameter</th><th>Description</th><th>Type</th><th>Example</th></tr></thead><tbody><tr><td>lang</td><td>The language as provided by the browser (from <code>Accept-Language</code> HTTP header). Defaults to English if not provided.</td><td>String</td><td><pre><code>en-US,en;q=0.5
</code></pre></td></tr></tbody></table>

### Response

<table><thead><tr><th width="196">Field</th><th width="239">Note</th><th width="124">Type</th><th>Example</th></tr></thead><tbody><tr><td>offer_id</td><td>Offer ID</td><td>int</td><td>341022</td></tr><tr><td>anchor</td><td>Offer title to display to users</td><td>string</td><td>Playstation 5</td></tr><tr><td>description</td><td>Description to display to the user</td><td>string</td><td>Enter to win a Playstation 5!</td></tr><tr><td>requirements</td><td>What the user should do to complete an offer</td><td>string</td><td>Sign up with valid information and complete the full survey.</td></tr><tr><td>disclaimer</td><td>A field to display with each offer. Replace the ${sitename} macro yourself.</td><td>string</td><td>This offer is presented to you by ${sitename} on behalf of a third party merchant</td></tr><tr><td>icon_url</td><td>Square icon URL</td><td>string</td><td><a href="https://main-p.agmcdn.com/offers/1639000851514.jpg">https://main-p.agmcdn.com/offers/1639000851514.jpg</a></td></tr><tr><td>contact_url</td><td>Link to the contact page</td><td>string</td><td>https://seek.gg/contact/nQ/testing-prodege/360819</td></tr><tr><td>continue_url</td><td>URL to redirect the user to</td><td>string</td><td>ttps://seek.gg/vc/nQ/users/testing-prodege/offers/360819?source_type=live_offer_api</td></tr><tr><td>started_on</td><td>The unix timestamp of the first click</td><td>int</td><td>1676040060</td></tr><tr><td>app_metadata.app_id</td><td>App ID on the mobile app store. It can be either App Store or Google Play Store app ID.</td><td>string|null</td><td>1596736236</td></tr><tr><td>app_metadata.categories</td><td>An array of app metadata categories.</td><td>array|null</td><td>["Games", "Casual", "Puzzle"]</td></tr><tr><td>app_metadata.screenshot_urls</td><td>An array of app metadata screenshot URLs.</td><td>array|null</td><td>["https://is1-ssl.mzstatic.com/image/thumb/Purple126/v4/39/88/3a/39883ae6-4f45-9879-c849-aedb4d5ab40c/2e706b4c-baf0-456b-ad67-81db322f75a8_CLASSIC22_202203_2688x1242_Screenshots_01_en-US.png/643x0w.png"]</td></tr><tr><td>app_metadata.video_urls</td><td>An array of app metadata video URLs.</td><td>array|null</td><td>["https://play.google.com/video/lava/web/player/yt:movie:dSg_iqQpKYA?autoplay=1&#x26;authuser=0&#x26;embed=play"]</td></tr><tr><td>events</td><td>An array of events the user may complete to earn points. Each event is an object.</td><td>array</td><td>[see below]</td></tr><tr><td>events.#.uuid</td><td>ID of the event</td><td>string</td><td>0dc43f54-135a-46a4-a51c-a2c5f3cfdac0</td></tr><tr><td>events.#.name</td><td>Event name to display to the user</td><td>string</td><td>Completed</td></tr><tr><td>events.#.type</td><td>"flat" or "dynamic". Flat events have static point values. Dynamic events will have varying payouts.</td><td>string</td><td>flat</td></tr><tr><td>events.#.multiple_conversions_allowed</td><td>Whether the user is allowed to complete the event multiple times.</td><td>bool</td><td>FALSE</td></tr><tr><td>events.#.payable</td><td>Whether the event pays anything to the user</td><td>bool</td><td>TRUE</td></tr><tr><td>events.#.status</td><td>One of the following: 'viewed', 'pending', 'completed', 'cancelled'</td><td>string</td><td>viewed</td></tr><tr><td>events.#.timestamp</td><td>The unix timestamp of the last conversion, if any</td><td>int|null</td><td>1672242051</td></tr><tr><td>events.#.promised_flat_points</td><td>The number of points the user will be rewarded upon completion. Will be 0 if the event is not payable. Will be null if the event is a dynamic payout type.</td><td>float|null</td><td>126.72</td></tr><tr><td>events.#.promised_flat_payout</td><td>The payout that will be awarded for completing this event. Will be 0 if the event is not payable.</td><td>float|null</td><td>46.22</td></tr><tr><td>events.#.dynamic_display_type</td><td>Either "up_to" or "commission". This determines how the potential points are displayed.</td><td>string|null</td><td>up_to</td></tr><tr><td></td><td>"up_to": display "Up to {dynamic points amount}</td><td></td><td></td></tr><tr><td></td><td>"commission": display "{dynamic points amount} per ${dynamic payout amount}</td><td></td><td></td></tr><tr><td>events.#.promised_dynamic_points</td><td>Amount of dynamic points promised to the user per the {payout} below. Example: "Earn {promised_dynamic_points} per ${promised_dynamic_payout}" -- "Earn 100 points per $1".</td><td>float|null</td><td>187.9</td></tr><tr><td>events.#.promised_dynamic_payout</td><td>The dollar amount to display for dynamic display. Example: "Earn {promised_dynamic_points} per ${promised_dynamic_payout}" -- "Earn 100 points per $1".</td><td>float|null</td><td>0.1</td></tr><tr><td>events.#.approved_conversions</td><td>How many approved (payable) conversions there are.</td><td>int</td><td>0</td></tr><tr><td>events.#.approved_points</td><td>How many approved (payable) points there are.</td><td>float</td><td>0</td></tr><tr><td>events.#.pending_conversions</td><td>How many conversions are pending</td><td>int</td><td>0</td></tr><tr><td>events.#.pending_points</td><td>How many points are pending.</td><td>float</td><td>0</td></tr><tr><td>events.#.pending_reasons</td><td>Explains, in text, why the event is in "pending" status.</td><td>string</td><td>Waiting for phone verification</td></tr><tr><td>events.#.event_type_id</td><td>ID used to identify the  event type</td><td>int|null</td><td>1</td></tr><tr><td>events.#.time_played</td><td>Time played goal associated with the event.</td><td>object|null</td><td></td></tr><tr><td>events.#.time_played.id</td><td>Time played goal id.</td><td>int</td><td>100</td></tr></tbody></table>

#### Sample Response

```json
{
    "data": {
        "offer_id": 360819,
        "anchor": "Opinion Labs",
        "description": "Answer some profile questions about yourself and our system will determine if the selected survey is a good fit based on your answers. Complete surveys honestly and completely. Get paid for your efforts through your favorite rewards platform. ",
        "requirements": "Enter your profile information and complete one survey from the available options. Fake information will not be credited. Can be completed multiple times.",
        "disclaimer": "This offer is presented to you by ${sitename} on behalf of a third party merchant",
        "icon_url": "https://main-p.agmcdn.com/offers/1613580417599.gif",
        "events": [
            {
                "uuid": "48097169-5ef7-476a-92ac-869884120096",
                "name": "Completed",
                "type": "flat",
                "multiple_conversions_allowed": true,
                "approved_conversions": 0,
                "approved_points": 0,
                "pending_conversions": 0,
                "event_type_id": 1,
                "pending_points": 0,
                "status": "viewed",
                "payable": true,
                "timestamp": null,
                "pending_reasons": "",
                "flat_points": 125,
                "flat_payout": 1.25,
                "flat_promotional_points": null,
                "dynamic_display_type": null,
                "dynamic_points": null,
                "dynamic_payout": null,
                "dynamic_promotional_points": null
            }
        ],
        "started_on": 1676040060,
        "contact_url": "https://adgaterewards.com/contact/nQ/user12345/360819",
        "continue_url": "ttps://seek.gg/vc/nQ/users/testing-prodege/offers/360819?source_type=live_offer_api"
    }
}
```

#### Offer Event Types

The following table shows the list of offer event type ids that can be retrieved in the API:

| ID   | Type                     |
| ---- | ------------------------ |
| 1    | Install                  |
| 2    | Event                    |
| 3    | Purchase                 |
| 4    | Dynamic Event: Adjust    |
| 5    | Dynamic Event: Playtime  |
| 6    | Dynamic Event: AppsFlyer |
| NULL | N/A                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prodegeads.com/publisher-apis/user-based-api-v1/get-offer-history-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
